Bug 3942 - mozilla-mail-1.6-alt3.1 нежизнеспособна в отсутствии mozilla-ru-1.6-alt3.1
: mozilla-mail-1.6-alt3.1 нежизнеспособна в отсутствии mozilla-ru-1.6-alt3.1
Status: CLOSED WONTFIX
: Sisyphus
(All bugs in Sisyphus/mozilla)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2004-04-08 16:09 by
Modified: 2006-10-26 12:45 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-08 16:09:55
При удалении пакета mozilla-ru-1.6-alt3.1 (локализация), интерфейс браузера
становится англоязычным; при попытке загрузить mozilla-mail -- зависает,
выдавая
внизу на сером фоне жалобу на отсутствие menu-id enigmail. При этом имеющейся
почты не видит, на попытки зайти в меню не реагирует.
Воспроизводится 100% на всех Compact 2.3, к сожалению...
------- Comment #1 From 2004-05-05 16:26:51 -------
подарок новому мантейнеру 
------- Comment #2 From 2004-06-09 17:47:34 -------
fixed at alt4.
------- Comment #3 From 2004-06-16 18:12:15 -------
и снова торжественно сломано в alt4.1
------- Comment #4 From 2005-09-28 17:51:11 -------
Прошу проверить на отправляющейся в Сизиф 1.7.12 и при необходимости закрыть
------- Comment #5 From 2005-10-16 13:33:21 -------
Проверил на mozilla-1.7.12-alt2 
Действительно, ругань начинается на menu-id, но по пунктам вроде ходит. 
------- Comment #6 From 2005-10-16 15:53:26 -------
После удаления расширений необходимо удалять chrome.rdf... Можно ли это сделать
автоматически - я не представляю...

Закрываем?
------- Comment #7 From 2005-10-17 06:20:43 -------
(In reply to comment #6)
> После удаления расширений необходимо удалять chrome.rdf... Можно ли это сделать
> автоматически - я не представляю...

Сборка с автоматическим удалением пользовательского chrome.rdf была, но это
решение породило еще больше проблем.
Это проблема в архитектуре теперь уже только mozilla.

Мне кажется что эту проблему все-таки можно решить... если пропатчить regchrome
на предмет возможности изменения пользовательского chrome.rdf . Собственно не
сложно добавить ключ -u чтобы писался пользовательсий chrome.rdf. Если это
поможет, то тогда можно добавить "regchrome -u" перед запуском mozilla... хак
конечно но выход.

> Закрываем?

Если мы решили принять это поведение как данность, то да.
------- Comment #8 From 2005-10-17 10:55:34 -------
Хм... А если попробовать использовать что-то вроде
/usr/lib/seamonkey/init.d/S01renewchrome ? 
------- Comment #9 From 2005-10-17 12:00:23 -------
(In reply to comment #8)
> Хм... А если попробовать использовать что-то вроде
> /usr/lib/seamonkey/init.d/S01renewchrome ? 

Я это и имел ввиду, когда говорил о добавлении педед запуском mozilla. 
------- Comment #10 From 2005-10-17 13:29:16 -------
Хм... Покопаю в этом направлении, может что-то и сделаю...
------- Comment #11 From 2006-10-26 12:45:12 -------
Думаю, что-либо делать с mozilla поздно, а seamonkey работает.